Download Attachment Field Files Export
Download the export file parts generated by Export Attachment Field Files.
GET
/api/{version}/vobjects/{object_name}/attachment_fields/files/{file_part_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object. |
{file_part_name} | The name of the file part to download. Obtain this from the Retrieve Attachment Field Files Export Results response. The name should have the following format: {user_id}-{job_id}-{object_name}.{file_part}, where user_id is the ID of the user that requested the export. For example, 2419535-1069501-product__v.001. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/vobjects/product__v/attachment_fields/files/2419535-1069501-product__v.001Response
Section link for ResponseContent-Type: application/octet-stream;charset=UTF-8
Content-Disposition:attachment;filename="2419535-1069501-product__v.001"Response Details
Section link for Response DetailsOn SUCCESS, Vault downloads the Attachment field export file part. The downloaded file name has the following format: {user_id}-{job_id}-{object_name}.tar.gz.{file_part}, where user_id is the ID of the user that requested the export. If the export file has only one part, you may wish to rename this without the .{file_part} extension.